Package logsparser :: Module normalizer :: Class CSVPattern

[frames] | no frames]

# Class CSVPattern

source code

    object --+
             |
            CSVPattern

A pattern that handle CSV case.

Instance Methods

__init__(self, name, pattern, separator=`'``,``'`, quotechar=`'``"``'`, tags=`{``}`, callBacks=`[``]`, tagTypes=`{``}`, genericTagTypes=`{``}`, genericCallBacks=`{``}`, description=`'````'`, commonTags=`{``}`, examples=`[``]`) x.__init__(...) initializes x; see help(type(x)) for signature | source code

postprocess(self, data) | source code

normalize(self, logline) | source code

test_examples(self) | source code

get_description(self, language=`'``en``'`) | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, name, pattern, separator=`'``,``'`, quotechar=`'``"``'`, tags=`{``}`, callBacks=`[``]`, tagTypes=`{``}`, genericTagTypes=`{``}`, genericCallBacks=`{``}`, description=`'````'`, commonTags=`{``}`, examples=`[``]`)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `name` - the pattern name
  - `pattern` - the CSV pattern
  - `separator` - the CSV delimiter
  - `quotechar` - the CSV quote character
  - `tags` - a dict of Tag instance with Tag name as key
  - `callBacks` - a list of CallbackFunction
  - `tagTypes` - a dict of TagType instance with TagType name as key
  - `genericTagTypes` - a dict of TagType instance from common_tags xml definition with TagType name as key
  - `genericCallBacks` - a dict of `CallBacks` instance from common_callbacks xml definition with callback name as key
  - `description` - a pattern description
  - `commonTags` - a Dict of tags to add to the final normalisation
  - `examples` - a list of PatternExample
Overrides: object.__init__